#
# spec file for package python-ua-parser
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define _pkgname ua-parser
Name:           python-ua-parser
Version:        0.10.0
Release:        bp155.2.11
Summary:        Python Implementation of UA Parser
License:        Apache-2.0
URL:            https://github.com/ua-parser/uap-python
Source:         https://files.pythonhosted.org/packages/source/u/%{_pkgname}/%{_pkgname}-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A python implementation of the UA Parser (https://github.com/ua-parser, formerly
https://github.com/tobie/ua-parser)

%prep
%setup -q -n %{_pkgname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}/%{$python_sitelib}

%check
# Tests lack fixtures in the released tarball
#%%python_expand PYTHONPATH="%{buildroot}%{$python_sitelib}" $python ua_parser/user_agent_parser_test.py

%files %{python_files}
%{python_sitelib}/*

%changelog
* Fri Mar  6 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to version 0.10.0:
  + no changelog available
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Aug  1 2018 tchvatal@suse.com
- Remove pointless devel dependency
* Wed Jul 18 2018 buschmann23@opensuse.org
- update to version 0.8.0
  + no changelog available
* Tue Feb 20 2018 buschmann23@opensuse.org
- update to version 0.7.3
  + no changelog available
* Sun Jan 14 2018 adrian@suse.de
- initial package in version 0.5.1
